Integration Steps
Learn how you can integrate with Pine Labs Online Cardless EMI to provide your customers with a seamless shopping experience.
Follow the below steps to integrate with Pine Labs Online Cardless EMI option in your application.
Note
- Ensure you store your
client_idandclient_secretin your Backend securely.- Integrate our APIs on your backend system.
- We strictly recommend not to call our APIs from the frontend.
- Failure to adhere to the above guidelines may result in legal implications. In such cases, you will be held responsible for any damage or loss arising from non-compliance.
1. [Prerequisite] Generate Token
Integrate our Generate Token API in your backend servers to generate the access token. Use the token generated to authenticate Pine Labs Online APIs.
Below are the sample requests and response for the Generate Token API.
curl --location 'https://pluraluat.v2.pinepg.in/api/auth/v1/token' \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'Request-Timestamp: 2024-07-09T07:57:08.022Z' \
--header 'Request-ID: c17ce30f-f88e-4f81-ada1-c3b4909ed235' \
--data '
{
"client_id": "a17ce30e-f88e-4f81-ada1-c3b4909ed232",
"client_secret": "fgwei7egyhuggwp39w8rh",
"grant_type": "client_credentials"
}
'
curl --location 'https://api.pluralpay.in/api/auth/v1/token' \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'Request-Timestamp: 2024-07-09T07:57:08.022Z' \
--header 'Request-ID: c17ce30f-f88e-4f81-ada1-c3b4909ed235' \
--data '
{
"client_id": "a17ce30e-f88e-4f81-ada1-c3b4909ed232",
"client_secret": "fgwei7egyhuggwp39w8rh",
"grant_type": "client_credentials"
}
'
{
"access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c",
"expires_in": 3600
}
Click here for request and response parameter information.
The table below lists the request parameters of our Generate Token API.
| Parameter | Type | Description |
|---|---|---|
| client_id required | string |
Unique client identifier in the Pine Labs Online database. Example: a17ce30e-f88e-4f81-ada1-c3b4909ed232Note: The Onboarding team has provided you with this information as part of the onboarding process. |
| client_secret required | string |
Unique client secret key provided while onboarding. Example: fgwei7egyhuggwp39w8rhNote: The Onboarding team has provided you with this information as part of the onboarding process. |
| grant_type required | string |
The grant type to generate an access token. Accepted value: client_credentials
|
The table below lists the response parameters of our Generate Token API.
| Parameter | Type | Description |
|---|---|---|
| access_token | string |
The access token generated by the system. • Minimum length: 1 character. • Maximum length: 8192 characters. Example: eyJhbGciOiJIUzI1NiIsInNote: Use this token in the authorization headers to authenticate Pine Labs Online APIs. |
| expires_at | string |
Access duration timestamp. Example: 2024-06-28T13:26:06.909140Z
|
Refer to our Generate Token API documentation to learn more.
2. Create Order
To create an Order, use our Create Order API, for authentication use the generated access token in the headers of the API request.
Below are the sample requests and response for a Create Order API.
curl --request POST \
--url https://pluraluat.v2.pinepg.in/api/pay/v1/orders \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c' \
--header 'Content-Type: application/json' \
--header 'Request-ID: c17ce30f-f88e-4f81-ada1-c3b4909ed235' \
--header 'Request-Timestamp: 2024-07-09T07:57:08.022Z' \
--header 'accept: application/json' \
--data '
{
"merchant_order_reference": "112345",
"order_amount": {
"value": 150000,
"currency": "INR"
},
"callback_url": "mobileapp/index",
"pre_auth": false,
"allowed_payment_methods": [
"CARD",
"NETBANKING",
"CREDIT_EMI",
"UPI",
"DEBIT_EMI",
"CARDLESS_EMI"
],
"purchase_details": {
"customer": {
"email_id": "[email protected]",
"first_name": "Anoop",
"last_name": "Pandey",
"mobile_number": "7973058466",
"country_code": "91",
"billing_address": {
"address1": "10 Downing Street Westminster London",
"address2": "Oxford Street Westminster London",
"address3": "Baker Street Westminster London",
"pincode": "51524036",
"city": "Westminster",
"state": "Westminster",
"country": "London",,
"full_name": "Kevin Bob",
"adddress_type": "Home",
"address_category": "billing"
},
"shipping_address": {
"address1": "10 Downing Street Westminster London",
"address2": "Oxford Street Westminster London",
"address3": "Baker Street Westminster London",
"pincode": "51524036",
"city": "Westminster",
"state": "Westminster",
"country": "London",,
"full_name": "Kevin Bob",
"adddress_type": "Home",
"address_category": "shipping"
}
},
"products": [
{
"product_code": "Apple_test_1",
"product_amount": {
"value": 150000,
"currency": "INR"
}
}
]
}
}
'
curl --request POST \
--url https://api.pluralpay.in/api/pay/v1/orders \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c' \
--header 'Content-Type: application/json' \
--header 'Request-ID: c17ce30f-f88e-4f81-ada1-c3b4909ed235' \
--header 'Request-Timestamp: 2024-07-09T07:57:08.022Z' \
--header 'accept: application/json' \
--data '
{
"merchant_order_reference": "112345",
"order_amount": {
"value": 150000,
"currency": "INR"
},
"callback_url": "mobileapp/index",
"pre_auth": false,
"allowed_payment_methods": [
"CARD",
"NETBANKING",
"CREDIT_EMI",
"UPI",
"DEBIT_EMI",
"CARDLESS_EMI"
],
"purchase_details": {
"customer": {
"email_id": "[email protected]",
"first_name": "Anoop",
"last_name": "Pandey",
"mobile_number": "7973058466",
"country_code": "91",
"billing_address": {
"address1": "10 Downing Street Westminster London",
"address2": "Oxford Street Westminster London",
"address3": "Baker Street Westminster London",
"pincode": "51524036",
"city": "Westminster",
"state": "Westminster",
"country": "London",,
"full_name": "Kevin Bob",
"adddress_type": "Home",
"address_category": "billing"
},
"shipping_address": {
"address1": "10 Downing Street Westminster London",
"address2": "Oxford Street Westminster London",
"address3": "Baker Street Westminster London",
"pincode": "51524036",
"city": "Westminster",
"state": "Westminster",
"country": "London",,
"full_name": "Kevin Bob",
"adddress_type": "Home",
"address_category": "shipping"
}
},
"products": [
{
"product_code": "Apple_test_1",
"product_amount": {
"value": 150000,
"currency": "INR"
}
}
]
}
}
'
{
"data": {
"order_id": "v1-250502082203-aa-BZMaYf",
"merchant_order_reference": "fd976e3e-8f56-4253-8f04-dee54df2eb3a",
"type": "CHARGE",
"status": "CREATED",
"callback_url": "mobileapp/index",
"merchant_id": "111643",
"order_amount": {
"value": 150000,
"currency": "INR"
},
"pre_auth": false,
"allowed_payment_methods": [
"CARD",
"NETBANKING",
"CREDIT_EMI",
"UPI",
"DEBIT_EMI",
"CARDLESS_EMI"
],
"purchase_details": {
"customer": {
"email_id": "[email protected]",
"first_name": "Anoop",
"last_name": "Pandey",
"mobile_number": "7973058466",
"country_code": "91",
"country_code": "91",
"billing_address": {
"address1": "10 Downing Street Westminster London",
"address2": "Oxford Street Westminster London",
"address3": "Baker Street Westminster London",
"pincode": "51524036",
"city": "Westminster",
"state": "Westminster",
"country": "London",,
"full_name": "Kevin Bob",
"adddress_type": "Home",
"address_category": "billing"
},
"shipping_address": {
"address1": "10 Downing Street Westminster London",
"address2": "Oxford Street Westminster London",
"address3": "Baker Street Westminster London",
"pincode": "51524036",
"city": "Westminster",
"state": "Westminster",
"country": "London",,
"full_name": "Kevin Bob",
"adddress_type": "Home",
"address_category": "shipping"
},
"is_edit_customer_details_allowed": false
},
"products": [
{
"product_code": "Apple_test_1",
"product_amount": {
"value": 150000,
"currency": "INR"
}
}
]
},
"created_at": "2025-05-02T08:22:03.232Z",
"updated_at": "2025-05-02T08:22:03.232Z",
"integration_mode": "SEAMLESS",
"payment_retries_remaining": 10
}
}
Click here for request and response parameter information.
The table below lists the request parameters of our Create Order API.
| Parameter | Type | Description |
|---|---|---|
| merchant_order_reference required | string |
Enter a unique identifier for the order request.
1234567890Supported characters:
|
| order_amount required | object |
An object that contains the transaction amount details. Learn more about the order_amount child object.
|
| pre_auth | boolean |
The pre-authorization type. Possible values:
|
| callback_url | string |
URL to redirect customers based on order details. Example: https://sample-callback-url
|
| failure_callback_url | string |
URL to redirect customers based on order details. Example: https://sample-failure-callback-url
|
| allowed_payment_methods | array of strings |
The type of payment methods you want to offer customers. Accepted values:
Note: Ensure it is configured for you. |
| notes | string |
Note to show against an order. Example: Order1
|
| purchase_details | object |
An object that contains purchase details. Learn more about the purchase_details child object.
|
Order Amount [Child Object]
The table below lists the various parameters in the order_amount child object. This object is part of the create order request object.
| Parameter | Type | Description |
|---|---|---|
| value required | integer |
Transaction amount in Paisa.
1000
|
| currency required | string |
Type of currency. Example: INR
|
Purchase Details [Child Object]
The table below lists the various parameters in the purchase_details child object. This object is part of the create order request object.
| Parameter | Type | Description |
|---|---|---|
| customer | object |
An object that contains the customer details. Learn more about the customer child object. |
| products | Object |
An object that contains the products details. Learn more about our products child object. |
Customer [Child Object]
The table below lists the various parameters in the customer child object. This is part of the purchase_details object.
| Parameter | Type | Description |
|---|---|---|
| email_id | string |
Customer's email address.
[email protected] |
| first_name | string |
Customer's first name.
Kevin |
| last_name | string |
Customer's last name.
Bob |
| customer_id | string |
Unique identifier of the customer in the Pine Labs Online database.
123456 |
| mobile_number | string |
Customer's mobile number.
9876543210 |
| country_code | string |
Country code of the registered mobile number.
91Note: If the country code is not provided, it defaults to 91. |
| billing_address | object |
An object that contains the details of the billing address. Learn more about our billing_address child object. |
| shipping_address | object |
An object that contains the shipping address details. Learn more about our shipping_address child object. |
Billing Address [Child Object]
The table below lists the various parameters in the billing_address child object. This is part of the customer object.
| Parameter | Type | Description |
|---|---|---|
| address1 | string | Customer's billing address1.
10 Downing Street Westminster London |
| address2 | string | Customer's billing address2.
Oxford Street Westminster London |
| address3 | string | Customer's billing address3.
Baker Street Westminster London |
| pincode | string | Pincode of the billing address.
51524036 |
| city | string | City of the billing address.
Westminster |
| state | string | State of the billing address.
Westminster |
| country | string | Country of the billing address.
London |
Shipping Address [Child Object]
The table below lists the various parameters in the shipping_address child object. This is part of the customer object.
| Parameter | Type | Description |
|---|---|---|
| address1 | string | Customer's shipping address1.
10 Downing Street Westminster London |
| address2 | string | Customer's shipping address2.
Oxford Street Westminster London |
| address3 | string | Customer's shipping address3.
Baker Street Westminster London |
| pincode | string | Pincode of the shipping address.
51524036 |
| city | string | City of the shipping address.
Westminster |
| state | string | State of the shipping address.
Westminster |
| country | string | Country of the shipping address.
London |
Products [Child Object]
The table below lists the various parameters in the products child object. This object is part of the purchase_details child object.
| Parameter | Type | Description |
|---|---|---|
| product_code required | string |
Unique Product identifier of the product. Example: Apple_test_1 |
| product_amount required | string |
An object that contains the product amount details. Learn more about our product_amount child object. |
Product Amount [Child Object]
The table below lists the various parameters in the product_amount child object. This object is part of the products child object.
| Parameter | Type | Description |
|---|---|---|
| value required | integer |
The transaction amount is Paisa.
100 |
| currency required | string |
Type of currency. Example: INR |
The table below lists the various parameters returned in the orders response objects.
| Parameter | Type | Description |
|---|---|---|
| order_id | string |
Unique identifier of the order in the Pine Labs Online database.
v1-5757575757-aa-hU1rUd |
| merchant_order_reference | string |
Unique identifier entered while creating an order.
82d57572-057c-4826-5775-385a52150554 |
| type | string |
Payment type. Possible values:
|
| status | string |
Order status. Possible values:
|
| callback_url | string |
URL to redirect customers to success or failure pages. Example: https://sample-callback-url |
| merchant_id | string |
Unique identifier of the merchant in the Pine Labs Online database. Example: 123456 |
| order_amount | object |
An object that contains the transaction amount details. Learn more about our order_amount child object. |
| notes | string |
The note you want to show against an order. Example: Order1 |
| pre_auth | boolean |
The pre-authorization type. Possible values:
false |
| allowed_payment_methods | array of strings |
The type of payment methods you want to offer customers. Accepted values:
CARDNote: Before selecting a payment method, ensure it is configured for you. |
| purchase_details | object |
An object that contains the purchase details. Learn more about the purchase_details child object.Note: The presence of the object key-values depends on the Input request. |
| created_at | string |
The ISO 8601 UTC Timestamp when the order request was received. Example: 2024-07-09T07:57:08.022Z |
| updated_at | string |
The ISO 8601 UTC Timestamp when the order object was updated. Example: 2024-07-09T07:57:08.022Z |
| integration_mode | string |
Type of integration mode you wish to integrate with. Accepted values:
|
| payment_retries_remaining | integer |
Payment attempts remaining on the order. Example: 10 |
Order Amount [Child Object]
The table below lists the various parameters in the order_amount child object. This object is part of the create order request object.
| Parameter | Type | Description |
|---|---|---|
| value | integer |
Transaction amount in Paisa.
1000
|
| currency | string |
Type of currency. Example: INR
|
Purchase Details [Child Object]
The table below lists the various parameters in the purchase_details child object. This object is part of the create order request object.
| Parameter | Type | Description |
|---|---|---|
| customer | object |
An object that contains the customer details. Learn more about the customer child object. |
products | Object |
An object that contains the products details. Learn more about our products child object. |
Customer [Child Object]
The table below lists the various parameters in the customer child object. This is part of the purchase_details object.
| Parameter | Type | Description |
|---|---|---|
| email_id | string |
Customer's email address.
[email protected] |
| first_name | string |
Customer's first name.
Kevin |
| last_name | string |
Customer's last name.
Bob |
| customer_id | string |
Unique identifier of the customer in the Pine Labs Online database.
123456 |
| mobile_number | string |
Customer's mobile number.
9876543210 |
| billing_address | object |
An object that contains the details of the billing address. Learn more about our billing_address child object. |
| shipping_address | object |
An object that contains the shipping address details. Learn more about our shipping_address child object. |
Billing Address [Child Object]
The table below lists the various parameters in the billing_address child object. This is part of the customer object.
| Parameter | Type | Description |
|---|---|---|
| address1 | string | Customer's billing address1.
10 Downing Street Westminster London |
| address2 | string | Customer's billing address2.
Oxford Street Westminster London |
| address3 | string | Customer's billing address3.
Baker Street Westminster London |
| pincode | string | Pincode of the billing address.
51524036 |
| city | string | City of the billing address.
Westminster |
| state | string | State of the billing address.
Westminster |
| country | string | Country of the billing address.
London |
Shipping Address [Child Object]
The table below lists the various parameters in the shipping_address child object. This is part of the customer object.
| Parameter | Type | Description |
|---|---|---|
| address1 | string | Customer's shipping address1.
10 Downing Street Westminster London |
| address2 | string | Customer's shipping address2.
Oxford Street Westminster London |
| address3 | string | Customer's shipping address3.
Baker Street Westminster London |
| pincode | string | Pincode of the shipping address.
51524036 |
| city | string | City of the shipping address.
Westminster |
| state | string | State of the shipping address.
Westminster |
| country | string | Country of the shipping address.
London |
Products [Child Object]
The table below lists the various parameters in the products child object. This object is part of the purchase_details child object.
| Parameter | Type | Description |
|---|---|---|
| product_code | string |
Unique Product identifier of the product. Example: Apple_test_1 |
| product_amount | string |
An object that contains the product amount details. Learn more about our product_amount child object. |
Product Amount [Child Object]
The table below lists the various parameters in the product_amount child object. This object is part of the products child object.
| Parameter | Type | Description |
|---|---|---|
| value | integer |
The transaction amount is Paisa.
100 |
| currency | string |
Type of currency. Example: INR |
Refer to our Create Order API documentation to learn more.
Note:
When the pre-authorization is set to true you can capture the payment after successful delivery or service.
3. Create Payment
To create a payment, use our Create Payment API, use the order_id returned in the response of a Create Order API to link the payment against an order.
Below are the sample requests and sample response for Create Payment API.
Cardless EMI
curl --request POST \
--url https://pluraluat.v2.pinepg.in/api/pay/v1/orders/{order_id}/payments \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c' \
--header 'Content-Type: application/json' \
--header 'Request-ID: c17ce30f-f88e-4f81-ada1-c3b4909ed235' \
--header 'Request-Timestamp: 2024-07-09T07:57:08.022Z' \
--header 'accept: application/json' \
--data '
{
"payments": [
{
"merchant_payment_reference": "6dc93180-91d4-448e-b2a3-c859d2f1cac9",
"payment_method": "CARDLESS_EMI",
"payment_amount": {
"value": 150000,
"currency": "INR"
},
"payment_option": {
"cardless_details": {
"registered_mobile_number": "7973058466",
"pan_number": "ABCDE1234F"
}
}
}
]
}
'
curl --request POST \
--url https://api.pluralpay.in/api/pay/v1/orders/{order_id}/payments \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c' \
--header 'Content-Type: application/json' \
--header 'Request-ID: c17ce30f-f88e-4f81-ada1-c3b4909ed235' \
--header 'Request-Timestamp: 2024-07-09T07:57:08.022Z' \
--header 'accept: application/json' \
--data '
{
"payments": [
{
"merchant_payment_reference": "6dc93180-91d4-448e-b2a3-c859d2f1cac9",
"payment_method": "CARDLESS_EMI",
"payment_amount": {
"value": 150000,
"currency": "INR"
},
"payment_option": {
"cardless_details": {
"registered_mobile_number": "7973058466",
"pan_number": "ABCDE1234F"
}
}
}
]
}
'
{
"data": {
"order_id": "v1-250502082203-aa-BZMaYf",
"merchant_order_reference": "fd976e3e-8f56-4253-8f04-dee54df2eb3a",
"type": "CHARGE",
"status": "PENDING",
"challenge_url": "https://d1xlb36glwfkxz.cloudfront.net/debit-acs/?args=C9s4yc9Q9vS%2BblPrADKTjo5eC5QaE2G8N7xyuXXPjkU%3D",
"callback_url": "mobileapp/index",
"merchant_id": "111643",
"order_amount": {
"value": 150000,
"currency": "INR"
},
"pre_auth": false,
"allowed_payment_methods": [
"CARD",
"NETBANKING",
"CREDIT_EMI",
"UPI",
"DEBIT_EMI",
"CARDLESS_EMI"
],
"purchase_details": {
"customer": {
"email_id": "[email protected]",
"first_name": "Anoop",
"last_name": "Pandey",
"mobile_number": "7973058466",
"country_code": "91",
"billing_address": {
"address1": "10 Downing Street Westminster London",
"address2": "Oxford Street Westminster London",
"address3": "Baker Street Westminster London",
"pincode": "51524036",
"city": "Westminster",
"state": "Westminster",
"country": "London",
"full_name": "Kevin Bob",
"adddress_type": "Home",
"address_category": "billing"
},
"shipping_address": {
"address1": "10 Downing Street Westminster London",
"address2": "Oxford Street Westminster London",
"address3": "Baker Street Westminster London",
"pincode": "51524036",
"city": "Westminster",
"state": "Westminster",
"country": "London",
"full_name": "Kevin Bob",
"adddress_type": "Home",
"address_category": "shipping"
},
"is_edit_customer_details_allowed": false
},
"products": [
{
"product_code": "Apple_test_1",
"product_amount": {
"value": 150000,
"currency": "INR"
}
}
]
},
"payments": [
{
"id": "v1-250502082203-aa-BZMaYf-cle-a",
"merchant_payment_reference": "c16238d1-c350-4173-9376-3297a6067956",
"status": "PENDING",
"payment_amount": {
"value": 150000,
"currency": "INR"
},
"payment_method": "CARDLESS_EMI",
"acquirer_data": {
"approval_code": "",
"acquirer_reference": "",
"rrn": "",
"is_aggregator": true
},
"created_at": "2025-05-02T08:24:29.150Z",
"updated_at": "2025-05-02T08:24:33.459Z"
}
],
"created_at": "2025-05-02T08:22:03.232Z",
"updated_at": "2025-05-02T08:24:33.459Z",
"integration_mode": "SEAMLESS",
"payment_retries_remaining": 9
}
}
Click here for request and response parameter information.
Path Parameter
The table below lists the path parameters of our Create Payment API.
| Parameter | Type | Description |
|---|---|---|
| order_id required | string |
Unique identifier of the order in the Pine Labs Online database. Example: v1-5757575757-aa-hU1rUd |
Request Parameters
The table below lists the request parameters of our Create Payment API.
| Parameter | Type | Description |
|---|---|---|
| Payments required | array of objects |
An array of objects that contains the payment details. Learn more about our payments child object |
Payments [Child Object]
The table below lists the various parameters in the payments child object. This object is part of the create card payment request object.
| Parameter | Type | Description |
|---|---|---|
| merchant_payment_reference required | string |
Unique Payment Reference id sent by merchant. Example: 008cf04b-a770-4777-854e-b1e6c1230609 |
| payment_method required | string |
Type of payment method you want to use to accept a payment. Accepted values:
CARDLESS_EMI |
| payment_amount required | object |
An object that contains the details of the payment amount. Learn more about our payment_amount child object. |
| payment_option required | object |
An object that contains the details of the payment options. Learn more about our payment_option child object. |
Payment Amount [Child Object]
The table below lists the various parameters in the payment_amount child object. This object is part of the payments object.
| Parameter | Type | Description |
|---|---|---|
| value required | integer |
The payment amount is Paisa.
100 |
| currency required | string |
Type of currency. Example: INR |
Payment Option [Child Object]
The table below lists the various parameters in the payment_option child object. This object is part of the payments object.
| Parameter | Type | Description |
|---|---|---|
| cardless_details | object | An object that contains the cardless details. Learn more about the cardless_details child object. |
Cardless Details [Child Object]
The table below lists the various parameters in the cardless_details child object. This object is part of the payment_option object.
| Parameter | Type | Description |
|---|---|---|
| registered_mobile_number required | string | Card registered mobile number.
9876543210Supported characters: 0-9 |
| pan_number required | string | Users PAN. Example: ABCDE1234F |
The table below lists the various parameters returned in the Create Payment response objects.
| Parameter | Type | Description |
|---|---|---|
| order_id | string |
Unique identifier of the order in the Pine Labs Online database. Example: v1-5757575757-aa-hU1rUd |
| merchant_order_reference | string |
Unique identifier entered while creating an order.
82d57572-057c-4826-5775-385a52150554 |
| type | string |
Payment type. Possible values:
|
| status | string |
Order status. Possible values:
|
| challenge_url | string |
Use the generated challenge_url URL to navigate your users to the checkout page. |
| merchant_id | string |
Unique identifier of the merchant in Pine Labs Online database. Example: 123456 |
| order_amount | object |
An object that contains the transaction amount details. Learn more about our order_amount child object. |
| pre_auth | boolean |
The pre-authorization type. Possible values:
falseLearn more about our pre-authorization. |
| allowed_payment_methods | array of strings |
The type of payment methods you want to offer your customers to accept payments. Accepted values:
CARDNote: Before selecting a payment method, ensure it is configured for you. |
| notes | string |
The note you want to show against an order. Example: Order1 |
| callback_url | string |
Use this URL to redirect your customers to specific success or failure pages based on the order or product details. Example: https://sample-callback-url |
| purchase_details | object |
An object that contains the purchase details. Learn more about our purchase_details child object.Note: The presence of the key-values pairs in this object depends on the Input request. |
| payments | array of objects |
An array of objects that contains the payment details. Learn more about our payments child object.Note: Payments response object can vary based on the payment methods and payment status. |
| created_at | string |
The ISO 8601 UTC Timestamp, when the create order request was received by Pine Labs Online. Example: 2024-07-09T07:57:08.022Z |
| updated_at | string |
The ISO 8601 UTC Timestamp, when the order response object is updated. Example: 2024-07-09T07:57:08.022Z |
| integration_mode | string |
Type of integration mode you wish to integrate with. Accepted values:
|
| payment_retries_remaining | integer |
Payment attempts remaining on the order. Example: 9 |
Order Amount [Child Object]
The table below lists the various parameters in the order_amount child object. This object is part of the payments sample response object.
| Parameter | Type | Description |
|---|---|---|
| value | integer |
The transaction amount is Paisa.
100 |
| currency | string |
Type of currency. Example: INR |
Purchase Details [Child Object]
The table below lists the various parameters in the purchase_details child object. This object is part of the payments sample response object.
| Parameter | Type | Description |
|---|---|---|
| customer | Object |
An object that contains the customer details. Learn more about our customer child object. |
| merchant_metadata | object |
An object of key-value pair that can be used to store additional information. Example: "key1": "DD" |
Customer [Child Object]
The table below lists the various parameters in the customer child object. This is part of the purchase_details object.
| Parameter | Type | Description |
|---|---|---|
| email_id | string |
Customer's email address.
[email protected] |
| first_name | string |
Customer's first name.
Kevin |
| last_name | string |
Customer's last name.
Bob |
| customer_id | string |
Unique identifier of the customer in the Pine Labs Online database.
123456 |
| mobile_number | string |
Customer's mobile number.
9876543210Supported characters: 0-9 |
| billing_address | object |
An object that contains the details of the billing address. Learn more about our billing_address child object. |
| shipping_address | object |
An object that contains the shipping address details. Learn more about our shipping_address child object. |
Billing Address [Child Object]
The table below lists the various parameters in the billing_address child object. This is part of the customer object.
| Parameter | Type | Description |
|---|---|---|
| address1 | string |
Customer's billing address1.
10 Downing Street Westminster London |
| address2 | string |
Customer's billing address2.
Oxford Street Westminster London |
| address3 | string |
Customer's billing address3.
Baker Street Westminster London |
| pincode | string |
Pincode of the billing address.
51524036 |
| city | string |
City of the billing address.
Westminster |
| state | string |
State of the billing address.
Westminster |
| country | string |
Country of the billing address.
London |
Shipping Address [Child Object]
The table below lists the various parameters in the shipping_address child object. This is part of the customer object.
| Parameter | Type | Description |
|---|---|---|
| address1 | string |
Customer's shipping address1.
10 Downing Street Westminster London |
| address2 | string |
Customer's shipping address2.
Oxford Street Westminster London |
| address3 | string |
Customer's shipping address3.
Baker Street Westminster London |
| pincode | string |
Pincode of the shipping address.
51524036 |
| city | string |
City of the shipping address.
Westminster |
| state | string |
State of the shipping address.
Westminster |
| country | string |
Country of the shipping address.
London |
Payments [Child Object]
The table below lists the various parameters in the payments child object. This object is part of the payments sample response object.
| Parameter | Type | Description |
|---|---|---|
| id | string |
Unique identifier of the payment in the Pine Labs Online database.
v1-5206071124-aa-mpLhF3-cc-l |
| merchant_payment_reference | string |
A unique Payment Reference id sent by merchant. Example: 008cf04b-a770-4777-854e-b1e6c1230609 |
| status | string |
Payment status. Possible values:
PENDING |
| payment_amount | object |
An object that contains the details of the payment amount. Learn more about our payment_amount child object. |
| payment_method | string |
Type of payment method. Accepted values:
CARDLESS_EMI |
| acquirer_data | object |
An object that contains the details of the acquirer data. Learn more about our acquirer_data child object. |
| created_at | string |
The ISO 8601 UTC Timestamp, when the create payment request was received by Pine Labs Online. Example: 2024-07-11T06:52:12.484Z |
| updated_at | string |
The ISO 8601 UTC Timestamp, when the payment response object is updated. Example: 2024-07-11T06:59:38.260Z |
Payment Amount [Child Object]
The table below lists the various parameters in the payment_amount child object. This object is part of the payments object.
| Parameter | Type | Description |
|---|---|---|
| value | integer |
The transaction amount is Paisa.
100 |
| currency | string |
Type of currency. Example: INR |
Acquirer Data [Child Object]
The table below lists the various parameters in the acquirer_data child object. This object is part of the payments object.
| Parameter | Type | Description |
|---|---|---|
| approval_code | string |
Authorization code returned from acquirer against the payment. Example: 030376 |
| acquirer_reference | string |
Unique reference returned from acquirer for the payment. Example: 202455840588334 |
| rrn | string |
Retrieval reference number returned from acquirer for the payment. Example: 419335023601 |
| is_aggregator | boolean |
The selected aggregator model type. Accepted values:
|
Refer to our Create Payment API documentation to learn more.
Note:
- After a successful transaction, you can
BLOCKthe product IMEI using the IMEI Validation API from your backend system.- For single-cart refunds, product details are not required in the refund request. The system automatically
UNBLOCKthe IMEI linked to the transaction.- For multi-cart refunds, include the product details that need to be unblocked in the Create Refund API request. The Refund API then
UNBLOCKthe specified IMEI.- IMEI validation applies only to brand-specific SKUs.
- Each SKU can have only one associated IMEI burn.
4. Handle Payment
In create payment API response we return a challenge_url, use this challenge url to navigate your customers to the checkout page to accept payment.
4.1 Store Payment Details on Your Server
On a successful and failed payment, we return the following fields to the return url.
- We recommend you to store the payment details on your server.
- You must validate the authenticity of the payment details returned. You can authenticate by verifying the signature.
{
"order_id": "v1-4405071524-aa-qlAtAf",
"status": "AUTHORIZED",
"signature": "ba7816bf8f01cfea414140de5dae2223b00361a396177a9cb410ff61f20015ad"
}
{
"order_id": "v1-4405071524-aa-qlAtAf",
"status": "AUTHORIZED",
"error_code": "USER_AUTHENTICATION_REQUIRED",
"error_message": "Consumer Authentication Required",
"signature": "ba7816bf8f01cfea414140de5dae2223b00361a396177a9cb410ff61f20015ad"
}
4.2 Verify Payment Signature
Ensure you follow this as a mandatory step to verify the authenticity of the details returned to the checkout form for successful payments.
Follow the below steps to verify the signature.
- Create a signature on your server using the following parameters using the SHA256 algorithm.
order_id: Unique Identifier generated for an order request on Pine Labs Online database.payment_status: Payment status.error_code: Short code for the error returned.error_message: Corresponding error message for the code.secret_key: The Onboarding team has provided you with this information as part of the onboarding process.
Use the below sample code to construct HashMap signature using the SHA256 algorithm.
import java.io.UnsupportedEncodingException;
import java.security.InvalidKeyException;
import java.security.NoSuchAlgorithmException;
import javax.crypto.Mac;
import javax.crypto.spec.SecretKeySpec;
public class hash {
public static void main(String[] args) {
// Test the GenerateHash method
String input = "<string>";
String secretKey = "<secret_key>"; // Example key in hex
String hash = GenerateHash(input, secretKey);
System.out.println("Generated Hash: " + hash);
}
public static String GenerateHash(String input, String strSecretKey) {
String strHash = "";
try {
if (!isValidString(input) || !isValidString(strSecretKey)) {
return strHash;
}
byte[] convertedHashKey = new byte[strSecretKey.length() / 2];
for (int i = 0; i < strSecretKey.length() / 2; i++) {
convertedHashKey[i] =
(byte)Integer.parseInt(strSecretKey.substring(i * 2, (i*2)+2),16); //hexNumber radix
}
strHash = hmacDigest(input.toString(), convertedHashKey,
"HmacSHA256");
} catch (Exception ex) {
strHash = "";
}
return strHash.toUpperCase();
}
private static String hmacDigest(String msg, byte[] keyString, String algo) {
String digest = null;
try {
SecretKeySpec key = new SecretKeySpec(keyString, algo);
Mac mac = Mac.getInstance(algo);
mac.init(key);
byte[] bytes = mac.doFinal(msg.getBytes("UTF-8"));
StringBuffer hash = new StringBuffer();
for (int i = 0; i < bytes.length; i++) {
String hex = Integer.toHexString(0xFF & bytes[i]);
if (hex.length() == 1) {
hash.append('0');
}
hash.append(hex);
}
digest = hash.toString();
} catch (UnsupportedEncodingException e) {
// logger.error("Exception occured in hashing the pine payment gateway request"+e);
} catch (InvalidKeyException e) {
// logger.error("Exception occured in hashing the pine payment gateway request"+e);
} catch (NoSuchAlgorithmException e) {
// logger.error("Exception occured in hashing the pine payment gateway request"+e);
}
return digest;
}
public static boolean isValidString(String str){
if(str != null && !"".equals(str.trim())){
return true;
}
return false;
}
}
Note:
To create a request string, format the key-value pairs of data returned to the return URL. The pairs are separated by
&and arranged in ascending order based on a lexicographical comparison of the keys.
Shown below is a example to create a request string.
"key1=value1&key2=value2", ["order_id=random_order_id&status=AUTHORIZED"]
"key1=value1&key2=value2&key3=value3&key4=value4", ["error_code=USER_AUTHENTICATION_FAILED&error_message=Consumer Authentication required&order_id=<order_id>&status=FAILED"]
- If the signature generated on your server matches the Pine Labs Online signature returned in the return URL, it confirms that the payment details are from Pine Labs Online.
- Capture the status returned on your database. Once the payment status is
AUTHORIZEDyou can either capture or cancel an order.
5. Get Order by Order ID
Use this API to retrieve the order by order ID.
Below are the sample requests and response for the Get Order by Order ID API.
curl --request GET \
--url https://pluraluat.v2.pinepg.in/api/pay/v1/orders/{order_id} \
--header 'accept: application/json'
curl --request GET \
--url https://api.pluralpay.in/api/pay/v1/orders/{order_id} \
--header 'accept: application/json'
{
"data": {
"order_id": "v1-250502082203-aa-BZMaYf",
"merchant_order_reference": "fd976e3e-8f56-4253-8f04-dee54df2eb3a",
"type": "CHARGE",
"status": "PROCESSED",
"callback_url": "mobileapp/index",
"failure_callback_url": "",
"merchant_id": "111643",
"order_amount": {
"value": 150000,
"currency": "INR"
},
"pre_auth": false,
"allowed_payment_methods": [
"CARD",
"NETBANKING",
"CREDIT_EMI",
"UPI",
"DEBIT_EMI",
"CARDLESS_EMI"
],
"purchase_details": {
"customer": {
"email_id": "[email protected]",
"first_name": "Anoop",
"last_name": "Pandey",
"mobile_number": "7973058466",
"country_code": "91",
"billing_address": {
"address1": "10 Downing Street Westminster London",
"address2": "Oxford Street Westminster London",
"address3": "Baker Street Westminster London",
"pincode": "51524036",
"city": "Westminster",
"state": "Westminster",
"country": "London",
"full_name": "Kevin Bob",
"adddress_type": "Home",
"address_category": "billing"
},
"shipping_address": {
"address1": "10 Downing Street Westminster London",
"address2": "Oxford Street Westminster London",
"address3": "Baker Street Westminster London",
"pincode": "51524036",
"city": "Westminster",
"state": "Westminster",
"country": "London",
"full_name": "Kevin Bob",
"adddress_type": "Home",
"address_category": "shipping"
},
"is_edit_customer_details_allowed": false
},
"merchant_metadata": {},
"products": [
{
"product_code": "Apple_test_1",
"product_amount": {
"value": 150000,
"currency": "INR"
}
}
]
},
"payments": [
{
"id": "v1-250502082203-aa-BZMaYf-cle-a",
"merchant_payment_reference": "c16238d1-c350-4173-9376-3297a6067956",
"status": "PROCESSED",
"payment_amount": {
"value": 150000,
"currency": "INR"
},
"payment_method": "CARDLESS_EMI",
"acquirer_data": {
"approval_code": "",
"acquirer_reference": "",
"rrn": "",
"is_aggregator": true,
"acquirer_name": "ICICIDebitEMI"
},
"created_at": "2025-05-02T08:24:29.150Z",
"updated_at": "2025-05-02T08:25:37.502Z"
}
],
"created_at": "2025-05-02T08:22:03.232Z",
"updated_at": "2025-05-02T08:25:37.503Z",
"integration_mode": "SEAMLESS"
}
}
Click here for request and response parameter information.
Path Parameter
The table below lists the path parameters of our Get Order by Order ID API.
| Parameter | Type | Description |
|---|---|---|
| order_id required | string |
Unique identifier of the order in the Pine Labs Online database. Example: v1-5757575757-aa-hU1rUd |
The table below lists the various parameters returned in the Get Order by Order ID API response objects.
| Parameter | Type | Description |
|---|---|---|
| order_id | string |
Unique identifier of the order in the Pine Labs Online database. Example: v1-5757575757-aa-hU1rUd |
| merchant_order_reference | string |
Unique identifier entered while creating an order.
82d57572-057c-4826-5775-385a52150554 |
| type | string |
Payment type. Possible values:
|
| status | string |
Order status. Possible values:
|
| callback_url | string |
Use this URL to redirect your customers to specific success or failure pages based on the order or product details. Example: https://sample-callback-url |
| failure_callback_url | string |
The URL specifically used to redirect customers to a failure page based on the order or product details. Example: https://sample-failure-callback-url |
| merchant_id | string |
Unique identifier of the merchant in Pine Labs Online database. Example: 123456 |
| order_amount | object |
An object that contains the transaction amount details. Learn more about our order_amount child object. |
| pre_auth | boolean |
The pre-authorization type. Possible values:
falseLearn more about our pre-authorization. |
| allowed_payment_methods | array of strings |
The type of payment methods you want to offer your customers to accept payments. Accepted values:
CARDNote: Before selecting a payment method, ensure it is configured for you. |
| notes | string |
The note you want to show against an order. Example: Order1 |
| purchase_details | object |
An object that contains the purchase details. Learn more about our purchase_details child object. |
| payments | array of objects |
An array of objects that contains the payment details. Learn more about our payments child object.Note: Payments response object can vary based on the payment methods and payment status. |
| created_at | string |
The ISO 8601 UTC Timestamp, when the create order request was received by Pine Labs Online. Example: 2024-07-09T07:57:08.022Z |
| updated_at | string |
The ISO 8601 UTC Timestamp, when the order response object is updated. Example: 2024-07-09T07:57:08.022Z |
| integration_mode | string |
Type of integration mode you wish to integrate with. Accepted values:
|
Order Amount [Child Object]
The table below lists the various parameters in the order_amount child object. This object is part of the Get Order by Order ID API response object.
| Parameter | Type | Description |
|---|---|---|
| value | integer |
The transaction amount is Paisa.
100 |
| currency | string |
Type of currency. Example: INR |
Purchase Details [Child Object]
The table below lists the various parameters in the purchase_details child object. This object is part of the Get Order by Order ID API response object.
| Parameter | Type | Description |
|---|---|---|
| customer | Object |
An object that contains the customer details. Learn more about our customer child object. |
| merchant_metadata | object |
An object of key-value pair that can be used to store additional information. Example: "key1": "DD" |
products | Object |
An object that contains the products details. Learn more about our products child object. |
Customer [Child Object]
The table below lists the various parameters in the customer child object. This is part of the purchase_details object.
| Parameter | Type | Description |
|---|---|---|
| email_id | string |
Customer's email address.
[email protected] |
| first_name | string |
Customer's first name.
Kevin |
| last_name | string |
Customer's last name.
Bob |
| customer_id | string |
Unique identifier of the customer in the Pine Labs Online database.
123456 |
| mobile_number | string |
Customer's mobile number.
9876543210Supported characters: 0-9 |
| billing_address | object |
An object that contains the details of the billing address. Learn more about our billing_address child object. |
| shipping_address | object |
An object that contains the shipping address details. Learn more about our shipping_address child object. |
Billing Address [Child Object]
The table below lists the various parameters in the billing_address child object. This is part of the customer object.
| Parameter | Type | Description |
|---|---|---|
| address1 | string |
Customer's billing address1.
10 Downing Street Westminster London |
| address2 | string |
Customer's billing address2.
Oxford Street Westminster London |
| address3 | string |
Customer's billing address3.
Baker Street Westminster London |
| pincode | string |
Pincode of the billing address.
51524036 |
| city | string |
City of the billing address.
Westminster |
| state | string |
State of the billing address.
Westminster |
| country | string |
Country of the billing address.
London |
Shipping Address [Child Object]
The table below lists the various parameters in the shipping_address child object. This is part of the customer object.
| Parameter | Type | Description |
|---|---|---|
| address1 | string |
Customer's shipping address1.
10 Downing Street Westminster London |
| address2 | string |
Customer's shipping address2.
Oxford Street Westminster London |
| address3 | string |
Customer's shipping address3.
Baker Street Westminster London |
| pincode | string |
Pincode of the shipping address.
51524036 |
| city | string |
City of the shipping address.
Westminster |
| state | string |
State of the shipping address.
Westminster |
| country | string |
Country of the shipping address.
London |
Products [Child Object]
The table below lists the various parameters in the products child object. This object is part of the purchase_details child object.
| Parameter | Type | Description |
|---|---|---|
| product_code | string |
Unique Product identifier of the product. Example: Apple_test_1 |
| product_amount | string |
An object that contains the product amount details. Learn more about our product_amount child object. |
Product Amount [Child Object]
The table below lists the various parameters in the product_amount child object. This object is part of the products child object.
| Parameter | Type | Description |
|---|---|---|
| value | integer |
The transaction amount is Paisa.
100 |
| currency | string |
Type of currency. Example: INR |
Payments [Child Object]
The table below lists the various parameters in the payments child object. This object is part of the Get Order by Order ID API response object.
| Parameter | Type | Description |
|---|---|---|
| id | string |
Unique identifier of the payment in the Pine Labs Online database.
v1-5206071124-aa-mpLhF3-cc-l |
| merchant_payment_reference | string |
A unique Payment Reference id sent by merchant. Example: 008cf04b-a770-4777-854e-b1e6c1230609 |
| status | string |
Payment status. Possible values:
PENDING |
| payment_amount | object |
An object that contains the details of the payment amount. Learn more about our payment_amount child object. |
| payment_method | string |
Type of payment method. Accepted values:
CARDLESS_EMI |
| acquirer_data | object |
An object that contains the details of the acquirer data. Learn more about our acquirer_data child object. |
| offer_data | object |
An object that contains the offer details. Learn more about our offer_data child object. |
| created_at | string |
The ISO 8601 UTC Timestamp, when the create payment request was received by Pine Labs Online. Example: 2024-07-11T06:52:12.484Z |
| updated_at | string |
The ISO 8601 UTC Timestamp, when the payment response object is updated. Example: 2024-07-11T06:59:38.260Z |
Payment Amount [Child Object]
The table below lists the various parameters in the payment_amount child object. This object is part of the payments object.
| Parameter | Type | Description |
|---|---|---|
| value | integer |
The transaction amount is Paisa.
100 |
| currency | string |
Type of currency. Example: INR |
Acquirer Data [Child Object]
The table below lists the various parameters in the acquirer_data child object. This object is part of the payments object.
| Parameter | Type | Description |
|---|---|---|
| approval_code | string |
Authorization code returned from acquirer against the payment. Example: 030376 |
| acquirer_reference | string |
Unique reference returned from acquirer for the payment. Example: 202455840588334 |
| rrn | string |
Retrieval reference number returned from acquirer for the payment. Example: 419335023601 |
| is_aggregator | boolean |
The selected aggregator model type. Accepted values:
|
| acquirer_name | string |
The name of the acquirer. Example: ICICIDebitEMI |
Offer Data [Child Object]
The table below lists the various parameters in the offer_data child object. This object is part of the payments object.
| Parameter | Type | Description |
|---|---|---|
| offer_details | object |
An object that contains the offer details. Learn more about our offer_details child object. |
Offer Details [Child Object]
The table below lists the various parameters in the offer_details child object. This object is part of the offer_data object.
| Parameter | Type | Description |
|---|---|---|
| id | String |
Unique identifier of the issuer id in the Pine Labs Online database. Example: 3 |
| name | String |
Name of the Issuer. Example: ICICI CARDLESS |
| issuer_type | String |
The type of the Issuer offering the offer. Accepted values:
|
| priority | integer |
The priority of the issuer providing the offer. Example: 1 |
| tenures | array of objects |
An array of objects that contains the tenures details. Learn more about the tenures child object. |
Tenures [Child Object]
The table below lists the various parameters in the tenures object. This is part of the offer discovery response object.
| Parameter | Type | Description |
|---|---|---|
| tenure_id | String |
Tenure id in the Pine Labs Online database. Example: 3 |
| name | String |
The name of the Issuer offering the offer. Example: 9 Months |
| tenure_type | String |
The type of the Tenure. Accepted values:
|
| tenure_value | integer |
The value of the tenure. Example: 9 |
| issuer_offer_parameters | array of objects |
An array of objects that contains the issuer_offer_parameters details.Learn more about the issuer_offer_parameters child object. |
| details | array of objects |
An array of objects that contains the product details.Learn more about the details child object. |
| loan_amount | object |
An object that contains the loan amount details. Learn more about the loan_amount child object. |
| net_payment_amount | object |
An object that contains the net payment amount details. Learn more about the net_payment_amount child object. |
| monthly_emi_amount | object |
An object that contains the monthly EMI amount details. Learn more about the monthly_emi_amount child object. |
| total_emi_amount | object |
An object that contains the total EMI amount details. Learn more about the total_emi_amount child object. |
| interest_amount | object |
An object that contains the interest amount details. Learn more about the interest_amount child object. |
| split_emi_percentage | float |
Split EMI percentage for tenure. Example: 0.0 |
| interest_rate_percentage | float |
Interest rate percentage for the tenure. Example: 16.90 |
| processing_fee_amount | object |
An object that contains the processing fee details. Learn more about the processing_fee_amount child object. |
| dealer_charges_percentage | float |
Dealer charges percentage for tenure. Example: 0.0 |
| emi_type | strings |
Type of EMI. Example: STANDARDAccepted values:
|
Issuer Offer Parameters [Child Object]
The table below lists the various parameters in the issuer_offer_parameters child object. This is part of the tenures object.
| Parameter | Type | Description |
|---|---|---|
| program_type | String |
The type of the Issuer offering the offer. Accepted values:
|
| offer_id | String |
Unique identifier of the offer. Example: 308 |
| offer_parameter_id | String |
Unique offer parameter identifier. Example: 19 |
Details [Child Object]
The table below lists the various parameters in the details child object. This is part of the tenures object.
| Parameter | Type | Description |
|---|---|---|
| product_code | String |
Unique Product identifier of the product. Example: Apple_test_1 |
| product_display_name | String |
Name of the product. Example: 17 Pro Max 256GB |
| brand_id | String |
Unique brand identifier of the product. Example: 3 |
| brand_name | String |
Name of the brand. Example: Apple |
| product_amount | object |
An object that contains the product amount details. Learn more about the product_amount child object. |
| interest_amount | object |
An object that contains the interest amount details. Learn more about the interest_amount child object. |
| interest_rate | float |
Rate of interest applied on the product. Example: 8.5 |
| product_imei | String |
The unique IMEI number of the product. Example: SN1234567892 |
Product Amount [Child Object]
The table below lists the various parameters in the product_amount child object. This is part of the details object.
| Parameter | Type | Description |
|---|---|---|
| currency | String |
Type of currency. Example: INR |
| value | integer |
Transaction amount is Paisa.
1000 |
Interest Amount [Child Object]
The table below lists the various parameters in the interest_amount child object. This is part of the interest_amount object.
| Parameter | Type | Description |
|---|---|---|
| currency | String |
Type of currency. Example: INR |
| value | integer |
Transaction amount is Paisa.
1000 |
Loan Amount [Child Object]
The table below lists the various parameters in the loan_amount child object. This is part of the tenures object.
| Parameter | Type | Description |
|---|---|---|
| currency | String |
Type of currency. Example: INR |
| value | integer |
Transaction amount is Paisa.
1000 |
Net Payment Amount [Child Object]
The table below lists the various parameters in the net_payment_amount child object. This is part of the tenures object.
| Parameter | Type | Description |
|---|---|---|
| currency | String |
Type of currency. Example: INR |
| value | integer |
Transaction amount is Paisa.
1000 |
Monthly EMI Amount [Child Object]
The table below lists the various parameters in the monthly_emi_amount child object. This is part of the tenures object.
| Parameter | Type | Description |
|---|---|---|
| currency | String |
Type of currency. Example: INR |
| value | integer |
Transaction amount is Paisa.
1000 |
Total EMI Amount [Child Object]
The table below lists the various parameters in the total_emi_amount child object. This is part of the tenures object.
| Parameter | Type | Description |
|---|---|---|
| currency | String |
Type of currency. Example: INR |
| value | integer |
Transaction amount is Paisa.
1000 |
Interest Amount [Child Object]
The table below lists the various parameters in the interest_amount child object. This is part of the tenures object.
| Parameter | Type | Description |
|---|---|---|
| currency | String |
Type of currency. Example: INR |
| value | integer |
Transaction amount is Paisa.
1000 |
Processing Fee Amount [Child Object]
The table below lists the various parameters in the processing_fee_details child object. This is part of the tenures object.
| Parameter | Type | Description |
|---|---|---|
| currency | String |
Type of currency. Example: INR |
| value | integer |
Transaction amount is Paisa.
1000 |
Refer to our Get Order by Order ID API documentation to learn more.
To Know Your Payment Status
To check your payment status, you can either rely on Webhook events or use our Get Orders APIs for real-time updates.
- Webhook Notification: We send Webhook notifications on the successful payment or any changes to the payments object. Refer to our Webhooks documentation to learn more.
- Get Orders API: Use our Get Orders API to know the real time status of the payment. Refer to our Manage Orders documentation to learn more.
- Refunds: Pine Labs Online processes refund directly to the customer's original payment method to prevent chargebacks. Refer to our Refunds documentation to learn more.
Updated about 5 hours ago
